Package org.eclipse.jgit.errors

## Class RevWalkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.errors.RevWalkException

All Implemented Interfaces:
  `Serializable`

    public class RevWalkException
    extends RuntimeException

Indicates a checked exception was thrown inside of `RevWalk`.

Usually this exception is thrown from the Iterator created around a RevWalk instance, as the Iterator API does not allow checked exceptions to be thrown from hasNext() or next(). The `Throwable.getCause()` of this exception is the original checked exception that we really wanted to throw back to the application for handling and recovery.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RevWalkException​(Throwable cause)` Create a new walk exception an original cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RevWalkException

    public RevWalkException​(Throwable cause)

Create a new walk exception an original cause.

Parameters:
  `cause` - the checked exception that describes why the walk failed.